QXmpp: QXmppJingleMessageInitiationElement Class Reference

QXmpp Version: 1.14.2

Loading...
Searching...
No Matches
QXmppJingleMessageInitiationElement Class Reference
Stanzas

The QXmppJingleMessageInitiationElement class represents a Jingle Message Initiation element as specified by XEP-0353: Jingle Message Initiation. More...

## Public Types
enum class | Type { None , Propose , Ringing , Proceed , Reject , Retract , Finish }

## Public Member Functions
| QXmppJingleMessageInitiationElement ()
| Constructs a Jingle Message Initiation element.
Type | type () const
void | setType (Type type)
QString | id () const
void | setId (const QString &id)
std::optional< QXmppJingleRtpDescription > | description () const
void | setDescription (std::optional< QXmppJingleRtpDescription > description)
QList< QXmppJingleRtpDescription > | descriptions () const
void | setDescriptions (const QList< QXmppJingleRtpDescription > &descriptions)
std::optional< QXmppJingleReason > | reason () const
void | setReason (std::optional< QXmppJingleReason > reason)
bool | containsTieBreak () const
void | setContainsTieBreak (bool containsTieBreak)
QString | migratedTo () const
void | setMigratedTo (const QString &migratedTo)

## Static Public Member Functions
static bool | isJingleMessageInitiationElement (const QDomElement &)

## Detailed Description

The QXmppJingleMessageInitiationElement class represents a Jingle Message Initiation element as specified by XEP-0353: Jingle Message Initiation.

Since
  QXmpp 1.6

## Member Enumeration Documentation

## ◆ Type

enum class QXmppJingleMessageInitiationElement::Type
| strong

Possible types of Jingle Message Initiation elements

## Member Function Documentation

## ◆ containsTieBreak()

bool QXmppJingleMessageInitiationElement::containsTieBreak | ( |  | ) | const

Returns true if the Jingle Message Initiation element contains a <tie-break/> tag.

## ◆ description()

std::optional< QXmppJingleRtpDescription > QXmppJingleMessageInitiationElement::description | ( |  | ) | const

Returns the Jingle Message Initiation element descriptions.

## ◆ descriptions()

QList< QXmppJingleRtpDescription > QXmppJingleMessageInitiationElement::descriptions | ( |  | ) | const

Returns the Jingle Message Initiation element descriptions.

Since
  QXmpp 1.14

## ◆ id()

QString QXmppJingleMessageInitiationElement::id | ( |  | ) | const

Returns the Jingle Message Initiation element id.

## ◆ isJingleMessageInitiationElement()

bool QXmppJingleMessageInitiationElement::isJingleMessageInitiationElement | ( | const QDomElement & | element | ) |
| static

Returns true if passed QDomElement is a Jingle Message Initiation element

## ◆ migratedTo()

QString QXmppJingleMessageInitiationElement::migratedTo | ( |  | ) | const

Returns the Jingle Message Initiation element ID migrated to if the Jingle is being migrated to a different device.

## ◆ reason()

std::optional< QXmppJingleReason > QXmppJingleMessageInitiationElement::reason | ( |  | ) | const

Returns the Jingle Message Initiation element reason.

## ◆ setContainsTieBreak()

void QXmppJingleMessageInitiationElement::setContainsTieBreak | ( | bool | containsTieBreak | ) |

Sets if the Jingle Message Initiation element contains a <tie-break/> tag.

## ◆ setDescription()

void QXmppJingleMessageInitiationElement::setDescription | ( | std::optional< QXmppJingleRtpDescription > | description | ) |

Sets the Jingle Message Initiation element descriptions.

## ◆ setDescriptions()

void QXmppJingleMessageInitiationElement::setDescriptions | ( | const QList< QXmppJingleRtpDescription > & | descriptions | ) |

Sets the Jingle Message Initiation element descriptions.

Since
  QXmpp 1.14

## ◆ setId()

void QXmppJingleMessageInitiationElement::setId | ( | const QString & | id | ) |

Sets the Jingle Message Initiation element id.

## ◆ setMigratedTo()

void QXmppJingleMessageInitiationElement::setMigratedTo | ( | const QString & | migratedTo | ) |

Sets the Jingle Message Initiation element ID migrated to if the Jingle is being migrated to a different device.

## ◆ setReason()

void QXmppJingleMessageInitiationElement::setReason | ( | std::optional< QXmppJingleReason > | reason | ) |

Sets the Jingle Message Initiation element reason.

## ◆ setType()

void QXmppJingleMessageInitiationElement::setType | ( | Type | type | ) |

Sets the Jingle Message Initiation element type.

## ◆ type()

QXmppJingleMessageInitiationElement::Type QXmppJingleMessageInitiationElement::type | ( |  | ) | const

Returns the Jingle Message Initiation element type

The documentation for this class was generated from the following files:

- QXmppJingleData.h
- QXmppJingleData.cpp